Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.il.uil2
Class UILServerIL

    java.lang.Object
      org.jboss.mq.il.uil2.UILServerIL

All Implemented Interfaces:
  Cloneable, MsgTypes, Serializable, ServerIL

public class UILServerIL
extends Object
implements Cloneable, MsgTypes, Serializable, ServerIL

The UILServerIL is created on the server and copied to the client during connection factory lookups. It represents the transport interface to the JMS server.

Version:
  $Revision: 1.7.2.1 $
Author:
  Scott.Stark@jboss.org
See Also:
  Serialized Form

Field Summary
`protected Socket` | `socket` Description of the Field
`protected SocketManager` | `socketMgr` Description of the Field

Fields inherited from interface org.jboss.mq.il.uil2.msgs.MsgTypes
`m_acknowledge, m_addMessage, m_authenticate, m_browse, m_checkID, m_checkUser, m_close, m_connectionClosing, m_createQueue, m_createTopic, m_deleteTemporaryDestination, m_destroySubscription, m_getID, m_getTemporaryQueue, m_getTemporaryTopic, m_ping, m_pong, m_receive, m_receiveRequest, m_setEnabled, m_setSpyDistributedConnection, m_subscribe, m_transact, m_unsubscribe`

Constructor Summary
`UILServerIL(InetAddress addr, int port, String socketFactoryName, boolean enableTcpNoDelay, int bufferSize, int chunkSize)`

Method Summary
`void` | `acknowledge(ConnectionToken dc, AcknowledgementRequest item)` #Description of the Method
`void` | `addMessage(ConnectionToken dc, SpyMessage val)` Adds a feature to the Message attribute of the UILServerIL object
`String` | `authenticate(String username, String password)` Authenticate the user
`SpyMessage[]` | `browse(ConnectionToken dc, javax.jms.Destination dest, String selector)` #Description of the Method
`protected void` | `checkConnection()` #Description of the Method
`void` | `checkID(String id)` #Description of the Method
`String` | `checkUser(String username, String password)` #Description of the Method
`Object` | `clone()` #Description of the Method
`ServerIL` | `cloneServerIL()` Need to clone because there are instance variables tha can get clobbered.
`void` | `connectionClosing(ConnectionToken dc)` #Description of the Method
`protected void` | `createConnection()` Used to establish a new connection to the server
`javax.jms.Queue` | `createQueue(ConnectionToken dc, String destName)` #Description of the Method
`javax.jms.Topic` | `createTopic(ConnectionToken dc, String destName)` #Description of the Method
`void` | `deleteTemporaryDestination(ConnectionToken dc, SpyDestination dest)` #Description of the Method
`protected void` | `destroyConnection()` Used to close the current connection with the server
`void` | `destroySubscription(ConnectionToken dc, DurableSubscriptionID id)` #Description of the Method
`String` | `getID()` Gets the ID attribute of the UILServerIL object
`javax.jms.TemporaryQueue` | `getTemporaryQueue(ConnectionToken dc)` Gets the TemporaryQueue attribute of the UILServerIL object
`javax.jms.TemporaryTopic` | `getTemporaryTopic(ConnectionToken dc)` Gets the TemporaryTopic attribute of the UILServerIL object
`void` | `ping(ConnectionToken dc, long clientTime)` #Description of the Method
`SpyMessage` | `receive(ConnectionToken dc, int subscriberId, long wait)` #Description of the Method
`void` | `setConnectionToken(ConnectionToken dest)` Sets the ConnectionToken attribute of the UILServerIL object
`void` | `setEnabled(ConnectionToken dc, boolean enabled)` Sets the Enabled attribute of the UILServerIL object
`void` | `subscribe(ConnectionToken dc, Subscription s)` #Description of the Method
`void` | `transact(ConnectionToken dc, TransactionRequest t)` #Description of the Method
`void` | `unsubscribe(ConnectionToken dc, int subscriptionID)` #Description of the Method

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### socket

    protected transient Socket socket

  Description of the Field

### socketMgr

    protected transient SocketManager socketMgr

  Description of the Field

Constructor Detail

### UILServerIL

    public UILServerIL(InetAddress addr,
                       int port,
                       String socketFactoryName,
                       boolean enableTcpNoDelay,
                       int bufferSize,
                       int chunkSize)
                throws Exception

Parameters:
  `addr` -
  `port` -
  `socketFactoryName` -
  `enableTcpNoDelay` -
  `bufferSize` -
  `chunkSize` -
Throws:
  `Exception`

Method Detail

### setConnectionToken

    public void setConnectionToken(ConnectionToken dest)
                            throws Exception

  Sets the ConnectionToken attribute of the UILServerIL object

  Specified by:
    `setConnectionToken` in interface `ServerIL`
  Parameters:
    `dest` - The new ConnectionToken value
  Throws:
    `Exception` - Description of Exception

### setEnabled

    public void setEnabled(ConnectionToken dc,
                           boolean enabled)
                    throws javax.jms.JMSException,
                           Exception

  Sets the Enabled attribute of the UILServerIL object

  Specified by:
    `setEnabled` in interface `ServerIL`
  Parameters:
    `dc` - The new Enabled value
    `enabled` - The new Enabled value
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### getID

    public String getID()
                 throws Exception

  Gets the ID attribute of the UILServerIL object

  Specified by:
    `getID` in interface `ServerIL`
  Returns:
    The ID value
  Throws:
    `Exception` - Description of Exception

### getTemporaryQueue

    public javax.jms.TemporaryQueue getTemporaryQueue(ConnectionToken dc)
                                               throws javax.jms.JMSException,
                                                      Exception

  Gets the TemporaryQueue attribute of the UILServerIL object

  Specified by:
    `getTemporaryQueue` in interface `ServerIL`
  Parameters:
    `dc` - Description of Parameter
  Returns:
    The TemporaryQueue value
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### getTemporaryTopic

    public javax.jms.TemporaryTopic getTemporaryTopic(ConnectionToken dc)
                                               throws javax.jms.JMSException,
                                                      Exception

  Gets the TemporaryTopic attribute of the UILServerIL object

  Specified by:
    `getTemporaryTopic` in interface `ServerIL`
  Parameters:
    `dc` - Description of Parameter
  Returns:
    The TemporaryTopic value
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### acknowledge

    public void acknowledge(ConnectionToken dc,
                            AcknowledgementRequest item)
                     throws javax.jms.JMSException,
                            Exception

  #Description of the Method

  Specified by:
    `acknowledge` in interface `ServerIL`
  Parameters:
    `dc` - Description of Parameter
    `item` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### addMessage

    public void addMessage(ConnectionToken dc,
                           SpyMessage val)
                    throws Exception

  Adds a feature to the Message attribute of the UILServerIL object

  Specified by:
    `addMessage` in interface `ServerIL`
  Parameters:
    `dc` - The feature to be added to the Message attribute
    `val` - The feature to be added to the Message attribute
  Throws:
    `Exception` - Description of Exception

### browse

    public SpyMessage[] browse(ConnectionToken dc,
                               javax.jms.Destination dest,
                               String selector)
                        throws javax.jms.JMSException,
                               Exception

  #Description of the Method

  Specified by:
    `browse` in interface `ServerIL`
  Parameters:
    `dc` - Description of Parameter
    `dest` - Description of Parameter
    `selector` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### checkID

    public void checkID(String id)
                 throws javax.jms.JMSException,
                        Exception

  #Description of the Method

  Specified by:
    `checkID` in interface `ServerIL`
  Parameters:
    `id` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### checkUser

    public String checkUser(String username,
                            String password)
                     throws javax.jms.JMSException,
                            Exception

  #Description of the Method

  Specified by:
    `checkUser` in interface `ServerIL`
  Parameters:
    `username` - Description of Parameter
    `password` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### authenticate

    public String authenticate(String username,
                               String password)
                        throws javax.jms.JMSException,
                               Exception

  Authenticate the user

  Specified by:
    `authenticate` in interface `ServerIL`
  Parameters:
    `username` - Description of Parameter
    `password` - Description of Parameter
  Returns:
    a sessionID
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### clone

    public Object clone()
                 throws CloneNotSupportedException

  #Description of the Method

  Returns:
    Description of the Returned Value
  Throws:
    `CloneNotSupportedException` - Description of Exception

### cloneServerIL

    public ServerIL cloneServerIL()
                           throws Exception

  Need to clone because there are instance variables tha can get clobbered. All Multiple connections can NOT share the same JVMServerIL object

  Specified by:
    `cloneServerIL` in interface `ServerIL`
  Returns:
    Description of the Returned Value
  Throws:
    `Exception` - Description of Exception

### connectionClosing

    public void connectionClosing(ConnectionToken dc)
                           throws javax.jms.JMSException,
                                  Exception

  #Description of the Method

  Specified by:
    `connectionClosing` in interface `ServerIL`
  Parameters:
    `dc` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### createQueue

    public javax.jms.Queue createQueue(ConnectionToken dc,
                                       String destName)
                                throws javax.jms.JMSException,
                                       Exception

  #Description of the Method

  Specified by:
    `createQueue` in interface `ServerIL`
  Parameters:
    `dc` - - the destination connection token
    `destName` - - the name of the destination
  Returns:
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### createTopic

    public javax.jms.Topic createTopic(ConnectionToken dc,
                                       String destName)
                                throws javax.jms.JMSException,
                                       Exception

  #Description of the Method

  Specified by:
    `createTopic` in interface `ServerIL`
  Parameters:
    `dc` - - the destination connection token
    `destName` - - the name of the destination
  Returns:
    Description of the Returned Value
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### deleteTemporaryDestination

    public void deleteTemporaryDestination(ConnectionToken dc,
                                           SpyDestination dest)
                                    throws javax.jms.JMSException,
                                           Exception

  #Description of the Method

  Specified by:
    `deleteTemporaryDestination` in interface `ServerIL`
  Parameters:
    `dc` - Description of Parameter
    `dest` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### destroySubscription

    public void destroySubscription(ConnectionToken dc,
                                    DurableSubscriptionID id)
                             throws javax.jms.JMSException,
                                    Exception

  #Description of the Method

  Specified by:
    `destroySubscription` in interface `ServerIL`
  Parameters:
    `id` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### ping

    public void ping(ConnectionToken dc,
                     long clientTime)
              throws Exception

  #Description of the Method

  Specified by:
    `ping` in interface `ServerIL`
  Parameters:
    `dc` - Description of Parameter
    `clientTime` - Description of Parameter
  Throws:
    `Exception` - Description of Exception

### receive

    public SpyMessage receive(ConnectionToken dc,
                              int subscriberId,
                              long wait)
                       throws Exception,
                              Exception

  #Description of the Method

  Specified by:
    `receive` in interface `ServerIL`
  Parameters:
    `dc` - Description of Parameter
    `subscriberId` - Description of Parameter
    `wait` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `Exception` - Description of Exception

### subscribe

    public void subscribe(ConnectionToken dc,
                          Subscription s)
                   throws javax.jms.JMSException,
                          Exception

  #Description of the Method

  Specified by:
    `subscribe` in interface `ServerIL`
  Parameters:
    `dc` - Description of Parameter
    `s` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### transact

    public void transact(ConnectionToken dc,
                         TransactionRequest t)
                  throws javax.jms.JMSException,
                         Exception

  #Description of the Method

  Specified by:
    `transact` in interface `ServerIL`
  Parameters:
    `dc` - Description of Parameter
    `t` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### unsubscribe

    public void unsubscribe(ConnectionToken dc,
                            int subscriptionID)
                     throws javax.jms.JMSException,
                            Exception

  #Description of the Method

  Specified by:
    `unsubscribe` in interface `ServerIL`
  Parameters:
    `dc` - - the destination connection token
    `subscriptionID` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### checkConnection

    protected void checkConnection()
                            throws Exception

  #Description of the Method

  Throws:
    `Exception` - Description of Exception

### createConnection

    protected void createConnection()
                             throws Exception

  Used to establish a new connection to the server

  Throws:
    `Exception` - Description of Exception

### destroyConnection

    protected void destroyConnection()

  Used to close the current connection with the server

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.